
<button type="button" class="btn btn-info waves-effect" data-toggle="modal" data-target="#myModal">
  <i class="material-icons">exposure_plus_1</i>
  <span>Ajouter</span>
</button>
<br><br>
<div class="card">
  <div class="header bg-cyan">
    <h2>
      {{this.titre}}
    </h2>
    <ul class="header-dropdown m-r--5">
      <li class="dropdown">
        <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">
          <i class="material-icons">more_vert</i>
        </a>
        <ul class="dropdown-menu pull-right">
          <li><a href="javascript:void(0);" class=" waves-effect waves-block">Modifier</a></li>
          <li><a href="javascript:void(0);" class=" waves-effect waves-block" data-toggle="modal" data-target="#myModalsujet">Ajouter Sujet</a></li>
        </ul>
      </li>
    </ul>
  </div>
  <div class="body">{{this.desc}}  </div>
</div>
<div class="panel-group" id="accordion_1" role="tablist" aria-multiselectable="true">
  <div class="panel panel-col-grey" *ngFor="let l of sujets">
    <div class="panel-heading" role="tab" id="headingOne_1" (click)="getetape(l.id)">
      <h4 class="panel-title">
        <a role="button" data-toggle="collapse" data-parent="#accordion_1" href="#collapseOne_{{l.id}}" aria-expanded="false"  class="collapsed">
          Titre : {{l.titre}} <br>
          Description : {{l.desc}}
        </a>
      </h4>
    </div>
    <div id="collapseOne_{{l.id}}" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne_1" aria-expanded="false" style="height: 0px;">
      <div class="panel-body">
        <button type="button" class="btn btn-info waves-effect" data-toggle="modal" data-target="#myModaletape">
          <i class="material-icons">exposure_plus_1</i>
          <span>Ajouter</span>
        </button><br>
          <div class="thumbnail" *ngFor=" let e of etapes">
            <img src="http://localhost:8080/showme/{{split(e.img)}}">
            <div class="caption">
              <h3>{{e.titre}}</h3>
              <p>
                {{e.desc}}
              </p>

            </div>
          </div>

      </div>
    </div>

    <!-- Modal -->
    <div id="myModaletape" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Ajouter Etape</h4>
          </div>
          <div class="modal-body">
            <form class="form-horizontal" #formsujet="ngForm" (ngSubmit)="ajouterEtape(formsujet.value)">
              <div class="row clearfix">
                <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                  <label for="titre">Titre</label>
                </div>
                <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                  <div class="form-group">
                    <div class="form-line">
                      <input type="text" id="titre" name="titre" ngModel class="form-control" >
                    </div>
                  </div>
                </div>

              </div>
              <div class="row clearfix">
                <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                  <label for="desc">Description Generale</label>
                </div>
                <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                  <div class="form-group">
                    <div class="form-line">
                      <textarea class="form-control" name="desc" ngModel id="desc" rows="5" ></textarea>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row clearfix" >
                <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                  <label for="desc">Editer Photo</label>
                </div>
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2" style="margin-top: 15px">
                  <div class="form-control-label">
                    <div class="form-control-label ">
                      <button type="button" class="btn btn-info waves-effect" data-toggle="modal" data-target="#myModaledit">
                        <span>Editer</span>
                      </button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row clearfix">
                <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                  <label for="desc">Image</label>
                </div>
                <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                  <div class="form-group">
                    <div class="form-line">
                      <input type="file" class="form-control" name="img" ngModel id="image" (change)="selectFile($event)">
                    </div>
                  </div>
                </div>
              </div>
              <div class="row clearfix">
                <div class="col-lg-offset-2 col-md-offset-2 col-sm-offset-4 col-xs-offset-5">
                  <button type="submit" class="btn btn-primary m-t-15 waves-effect" (click)="upload()">Ajouter</button>
                </div>
              </div>
            </form>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>

      </div>
    </div>


  </div>
</div>

<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Ajouter Manuel</h4>
      </div>
      <div class="modal-body">
        <form class="form-horizontal" #form="ngForm" (ngSubmit)="ajouterManual(form.value)">
          <div class="row clearfix">
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
              <label for="titre">Titre</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
              <div class="form-group">
                <div class="form-line">
                  <input type="text" id="titre" name="titre" ngModel class="form-control" >
                </div>
              </div>
            </div>
          </div>
          <div class="row clearfix">
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
              <label for="desc">Description Generale</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
              <div class="form-group">
                <div class="form-line">
                  <textarea class="form-control" name="desc" ngModel id="desc" rows="5" ></textarea>
                </div>
              </div>
            </div>
          </div>
          <div class="row clearfix">
            <div class="col-lg-offset-2 col-md-offset-2 col-sm-offset-4 col-xs-offset-5">
              <button type="submit" class="btn btn-primary m-t-15 waves-effect" >Ajouter</button>
            </div>
          </div>
        </form>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


<!-- Modal -->
<div id="myModalsujet" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Ajouter Sujet</h4>
      </div>
      <div class="modal-body">
        <form class="form-horizontal" #formsujet="ngForm" (ngSubmit)="ajouterSujet(formsujet.value)">
          <div class="row clearfix">
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
              <label for="titre">Titre</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
              <div class="form-group">
                <div class="form-line">
                  <input type="text" id="titre" name="titre" ngModel class="form-control" >
                </div>
              </div>
            </div>
          </div>
          <div class="row clearfix">
            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
              <label for="desc">Description Generale</label>
            </div>
            <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
              <div class="form-group">
                <div class="form-line">
                  <textarea class="form-control" name="desc" ngModel id="desc" rows="5" ></textarea>
                </div>
              </div>
            </div>
          </div>
          <div class="row clearfix">
            <div class="col-lg-offset-2 col-md-offset-2 col-sm-offset-4 col-xs-offset-5">
              <button type="submit" class="btn btn-primary m-t-15 waves-effect" >Ajouter</button>
            </div>
          </div>
        </form>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


  <!-- Modal -->
  <div class="modal fade" id="myModaledit" role="dialog">
    <div class="modal-dialog modal-lg">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Modal Header</h4>
        </div>
        <div class="modal-body">

          <div id="container" ></div>
          <div class="links">
            <a href="#" id="webgl" class="link active">WebGL</a> | <a href="#" id="canvas" class="link">Canvas</a>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>

